Subject: Re: [PATCH v7 0/5] config: introduce discovery.bare and protected config

From: Junio C Hamano <[email-masked]>
Date: Thu, 07 Jul 2022 18:07:26 -0700

"Glen Choo via GitGitGadget" <[email-masked]> writes:

> This version incorporates most of Taylor's comments and suggestions. Thanks
> especially for the wording suggestions, I struggled with those a lot :)
>
> (I believe) I've responded upthread with my intention for each comment. The
> only differences between that and the actual changes are:
>
>  * In Documentation/git-config.txt, I dropped a suggestion to mention that
>    "git config --local" is identical to the default behavior when writing
>    options because I found it too hard to fit in.
>
>  * In Documentation/config/discovery.txt, I took Taylor's suggestion, but
>    didn't mention "discovery" for the same reasons.
>
>  * I decided to leave out the protected config lookup functions. I made some
>    POC patches at:

These patches overall looked ok.  I am not very happy to see the
proliferation of namespaces like safe.* and discovery.* that would
not likely to get the second variable, though.